# do not provide plugin .so
%global __provides_exclude_from ^%{_libdir}/wxformbuilder/.*\.so

Name:		wxformbuilder
Summary:	GUI builder for wxWidgets
Version:	4.2.1
Release:	%mkrel 2
License:	GPLv2
Group:		Development/Other
Url:		https://github.com/wxFormBuilder/wxFormBuilder
Source0:	https://github.com/wxFormBuilder/wxFormBuilder/releases/download/v%{version}/wxFormBuilder-%{version}-source-full.tar.gz
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(tinyxml2)

Obsoletes:	%{_lib}ticpp-devel < 0-0.git20190109.3
Obsoletes:	%{_lib}ticpp0 < 0-0.git20190109.3

%description
RAD tool for wxWidgets GUI design.

%prep
%autosetup -n wxFormBuilder-%{version} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc CHANGELOG.md README*
%{_bindir}/wxformbuilder
%{_libdir}/wxformbuilder/
%{_datadir}/wxformbuilder/
%{_datadir}/mime/packages/*.xml
%{_datadir}/applications/org.wxformbuilder.wxFormBuilder.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_metainfodir}/org.wxformbuilder.wxFormBuilder.metainfo.xml


%changelog
* Wed Jun 18 2025 daviddavid <daviddavid> 4.2.1-2.mga10
+ Revision: 2192633
- rebuild for new tinyxml2 11.0.0

* Sat Sep 28 2024 daviddavid <daviddavid> 4.2.1-1.mga10
+ Revision: 2101730
- new version: 4.2.1
- obsoletes no more needed ticpp replaced by tinyxml2
- switch to cmake build system

* Tue Jul 19 2022 wally <wally> 3.10.1-4.mga9
+ Revision: 1869444
- rebuild for wxgtk 3.2.0

* Fri Jun 24 2022 papoteur <papoteur> 3.10.1-3.mga9
+ Revision: 1865705
- Rebuild for new wx

* Sun Apr 17 2022 wally <wally> 3.10.1-2.mga9
+ Revision: 1851026
- rebuild for wxgtk 3.1.6

* Sun Dec 19 2021 wally <wally> 3.10.1-1.mga9
+ Revision: 1762584
- new version 3.10.1

* Sun Jan 03 2021 wally <wally> 3.9.0-1.git20201102.2.mga8
+ Revision: 1668469
- add patch to fix errors with wxgtk >= 3.1.4

* Sun Jan 03 2021 wally <wally> 3.9.0-1.git20201102.1.mga8
+ Revision: 1668423
- imported package wxformbuilder

